package com.bonus.canteen.core.supply.purchase.domain.bo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDateTime;

public class DrpUnit {
   @TableId
   private Long id;
   private Long unitId;
   private String unitName;
   private BigDecimal rate;
   private Integer weighType;
   private Integer delFlag;
   private Integer revision;
   @TableField(
      value = "createBy",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String createBy;
   @TableField(
      value = "createTime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime createTime;
   @TableField(
      value = "updateBy",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String updateBy;
   @TableField(
      value = "updateTime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime updateTime;
   @ApiModelProperty("区域ID")
   private Long areaId;

   public Long getId() {
      return this.id;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public BigDecimal getRate() {
      return this.rate;
   }

   public Integer getWeighType() {
      return this.weighType;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setRate(final BigDecimal rate) {
      this.rate = rate;
   }

   public void setWeighType(final Integer weighType) {
      this.weighType = weighType;
   }

   public void setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public String getCreateBy() {
      return createBy;
   }

   public void setCreateBy(String createBy) {
      this.createBy = createBy;
   }

   public LocalDateTime getCreateTime() {
      return createTime;
   }

   public void setCreateTime(LocalDateTime createTime) {
      this.createTime = createTime;
   }

   public String getUpdateBy() {
      return updateBy;
   }

   public void setUpdateBy(String updateBy) {
      this.updateBy = updateBy;
   }

   public LocalDateTime getUpdateTime() {
      return updateTime;
   }

   public void setUpdateTime(LocalDateTime updateTime) {
      this.updateTime = updateTime;
   }
}
